PRAGMA foreign_keys=off;

DROP TABLE api_token_name_old;

ALTER TABLE api_token RENAME TO api_token_old;

CREATE TABLE api_token (
    user_id INTEGER NOT NULL REFERENCES auth_user(id)
        ON UPDATE CASCADE ON DELETE CASCADE,
    id TEXT PRIMARY KEY,
    hashed_secret TEXT UNIQUE,
    created_at INTEGER NOT NULL
);

INSERT INTO api_token SELECT * FROM api_token_old;

DROP TABLE api_token_old;

PRAGMA foreign_keys=on;